package org.mynonglam.entitys;

import java.io.Serializable;
import javax.persistence.*;
import java.util.List;


/**
 * The persistent class for the relationshiptype database table.
 * 
 */
@Entity
public class RelationshipType implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	private String idreltype;

	private String relationtype;

	//bi-directional many-to-one association to Relationship
	@OneToMany(mappedBy="relationshiptype")
	private List<Relationship> relationships;

	public RelationshipType() {
	}

	public String getIdreltype() {
		return this.idreltype;
	}

	public void setIdreltype(String idreltype) {
		this.idreltype = idreltype;
	}

	public String getRelationtype() {
		return this.relationtype;
	}

	public void setRelationtype(String relationtype) {
		this.relationtype = relationtype;
	}

	public List<Relationship> getRelationships() {
		return this.relationships;
	}

	public void setRelationships(List<Relationship> relationships) {
		this.relationships = relationships;
	}

}